/// @description Initialise Physics World

physics_world_create(0.1);                      //Pixel to meters scale
physics_world_gravity(0, 0);                    //No gravity
physics_world_update_iterations(20);            //iterations per step
physics_world_update_speed(60);                 //Update speed

var edge_fix = physics_fixture_create();
physics_fixture_set_chain_shape(edge_fix, true);
physics_fixture_add_point(edge_fix, 0, 0);
physics_fixture_add_point(edge_fix, room_width, 0);
physics_fixture_add_point(edge_fix, room_width, room_height);
physics_fixture_add_point(edge_fix, 0, room_height);
physics_fixture_set_density(edge_fix, 0);
physics_fixture_set_restitution(edge_fix, 0.5);
physics_fixture_bind(edge_fix, id);
physics_fixture_delete(edge_fix);

render_flags = phy_debug_render_shapes | phy_debug_render_joints | phy_debug_render_coms | phy_debug_render_obb;

var instA = instance_create_layer(100, 100, layer, obj_Base);
var instB = instance_create_layer(100, 300, layer, obj_Base);
var fixA = physics_fixture_create();
physics_fixture_set_circle_shape(fixA, 20);
physics_fixture_set_density(fixA, 0.5);
physics_fixture_set_restitution(fixA, 0.8);
physics_fixture_bind(fixA, instA);
physics_fixture_bind(fixA, instB);
physics_fixture_delete(fixA);

physics_joint_distance_create(instA, instB, instA.x, instA.y, instB.x, instB.y, true);

var instA = instance_create_layer(room_width - 300, 200, layer, obj_Base);
var instB = instance_create_layer(room_width - 300, 400, layer, obj_Base);
var fixA = physics_fixture_create();
var fixB = physics_fixture_create();
physics_fixture_set_circle_shape(fixA, 100);
physics_fixture_set_density(fixA, 0);
physics_fixture_bind(fixA, instA);
physics_fixture_set_box_shape(fixB, 25, 100);
physics_fixture_set_density(fixB, 0.5);
physics_fixture_bind(fixB, instB);
physics_fixture_delete(fixA);
physics_fixture_delete(fixB);

physics_joint_revolute_create(instA, instB, room_width - 300, 300, 0, 0, false, 100, 50, true, false);

var instA = instance_create_layer(300, room_height - 100, layer, obj_Base);
var instB = instance_create_layer(room_width - 300, room_height - 100, layer, obj_Base);
var fixA = physics_fixture_create();
physics_fixture_set_circle_shape(fixA, 20);
physics_fixture_set_density(fixA, 0.5);
physics_fixture_set_restitution(fixA, 0.8);
physics_fixture_bind(fixA, instA);
physics_fixture_bind(fixA, instB);
physics_fixture_delete(fixA);

physics_joint_pulley_create(instA, instB, 300, room_height - 180, room_width - 300, room_height - 180, 0, -2, 0, -2, 1, false);